Subject: [bug#66052] [PATCH gnome-team v3] gnu: tracker: Update to 3.6.0.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 17 Sep 2023 20:55:04 +0200

Am Sonntag, dem 17.09.2023 um 13:29 +0200 schrieb Vivien Kraus:
> * gnu/packages/gnome.scm (tracker): Update to 3.6.0.
> [#:phases]: Add 'disable-failing-tests'.
> ---
> 
> > > > You can (and probably should) make this into a ‘disable-
> > > > failing-
> > > > tests’ or inline it into an existing one.  Otherwise LGTM but
> > > > waiting for CI to test.
> > > 
> > > This is only for i686, I want to keep all tests for x86_64. So,
> > > it’s
> > > named 'disable-i686-failing-tests'.
> > > 
> > > I would not hold my breath for CI. Looking at the qa-frontpage
> > > repository, I suspect the base for all QA builds is always master
> > > (it
> > > invokes "git tag base-for-issue-*" without a specific branch
> > > name),
> > > so it will likely fail.
> > Fine by me.  Not sure whether we'll need to distinguish failing
> > tests
> > like that in the future or chain multiple ones after another (there
> > is
> > precedent to putting them all in one phase and we are already
> > rebuilding tracker, so we might also have a phase that reads
> > *unspecified* on arches that don't need any fixes, but who am I to
> > insist on that).
> 
> Sorry, I’m not sure I understood everything. Is this more what you
> expected?  I’m not sure about the *unspecified* thing. If I drop the
> "else" leg of the conditional, I get:
> 
>     guix build: error: #<unspecified>: invalid G-expression input
> 
> Same if I replace the "if" with a "when".
> 
> So, the phase does not read *unspecified* if no fix is needed, it
> reads #t instead.
You don't need the clunky #t if you use and, but I'm sure there are
other places that already have such logic to copy from with more
idiomatic code.  Case in point: glib, which has patches for i686 and
hurd.

Cheers